[Bug 505579] [NEW] Many reverse-build-depends unbuildable on armel

Scott Kitterman ubuntu at kitterman.com
Sun Jan 10 18:41:32 UTC 2010


Public bug reported:

Binary package hint: kdelibs

4:3.5.10.dfsg.1-3ubuntu1 fixed a problem that prevented a number of
packages from building with kdelibs, but that update FTBFS on armel due
to a libtool segfault.  As a result, the following packages are
currently unbuildable on armel:

eva, ggz-kde-client, kamefu, kde3bindings, kdetv, kdewebdev-kde3, kitty,
klamav, kmobiletools, kmymoney2, knet , knmap, kprof, kraft, ktoon,
mailody, taskjuggler, and tork

g++ -shared -nostdlib /usr/lib/gcc/arm-linux-gnueabi/4.4.3/../../../crti.o /usr/lib/gcc/arm-linux-gnueabi/4.4.3/crtbeginS.o  .libs/kio_help.o .libs/main.o .libs/xslt.o -Wl,--whole-archive ./.libs/libkbzipfilter_dummy.a -Wl,--no-whole-archive  -L/usr/lib -L/usr/share/qt3/lib -L/build/buildd/kdelibs-3.5.10.dfsg.1/debian/tmp//usr/lib -lxslt -lxml2 -lkio -lbz2 -lqt-mt -lkdecore -L/usr/lib/gcc/arm-linux-gnueabi/4.4.3 -L/usr/lib/gcc/arm-linux-gnueabi/4.4.3/../../.. -lstdc++ -lm -lc -lgcc_s /usr/lib/gcc/arm-linux-gnueabi/4.4.3/crtendS.o /usr/lib/gcc/arm-linux-gnueabi/4.4.3/../../../crtn.o  -Wl,-Bsymbolic-functions -Wl,-soname -Wl,kio_help.so -o .libs/kio_help.so
/usr/bin/install -c -p .libs/kio_help.soT /build/buildd/kdelibs-3.5.10.dfsg.1/debian/tmp//usr/lib/kde3/kio_help.so
/usr/bin/install -c -p .libs/kio_help.lai /build/buildd/kdelibs-3.5.10.dfsg.1/debian/tmp//usr/lib/kde3/kio_help.la
libtool: install: warning: remember to run `libtool --finish /usr/lib/kde3'
 /bin/bash ../libtool   --mode=install /usr/bin/install -c -p  'kio_ghelp.la' '/build/buildd/kdelibs-3.5.10.dfsg.1/debian/tmp//usr/lib/kde3/kio_ghelp.la'
libtool: install: warning: relinking `kio_ghelp.la'
(cd /build/buildd/kdelibs-3.5.10.dfsg.1/obj-arm-linux-gnueabi/kdoctools; /bin/bash ../libtool  --tag=CXX --mode=relink g++ -Wno-long-long -Wundef -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2 -g -O2 -g -Wall -O2 -DDEBIAN_VERSION=4:3.5.10.dfsg.1-3ubuntu1 -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION -L/usr/lib -L/usr/share/qt3/lib -module -avoid-version -module -no-undefined -Wl,-Bsymbolic-functions -o kio_ghelp.la -rpath /usr/lib/kde3 kio_help.lo main_ghelp.lo xslt.lo -L/usr/lib -lxslt -lxml2 -lxml2 libkbzipfilter_dummy.la ../kio/libkio.la -lbz2 -lqt-mt ../kdecore/libkdecore.la -inst-prefix-dir /build/buildd/kdelibs-3.5.10.dfsg.1/debian/tmp/)  
../libtool: line 6363:  4702 Segmentation fault      /bin/bash ../libtool --tag=CXX --mode=relink g++ -Wno-long-long -Wundef -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2 -g -O2 -g -Wall -O2 -DDEBIAN_VERSION=4:3.5.10.dfsg.1-3ubuntu1 -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION -L/usr/lib -L/usr/share/qt3/lib -module -avoid-version -module -no-undefined -Wl,-Bsymbolic-functions -o kio_ghelp.la -rpath /usr/lib/kde3 kio_help.lo main_ghelp.lo xslt.lo -L/usr/lib -lxslt -lxml2 -lxml2 libkbzipfilter_dummy.la ../kio/libkio.la -lbz2 -lqt-mt ../kdecore/libkdecore.la -inst-prefix-dir /build/buildd/kdelibs-3.5.10.dfsg.1/debian/tmp/
libtool: install: error: relink `kio_ghelp.la' with the above command before installing it
make[3]: *** [install-kde_moduleLTLIBRARIES] Error 1

This is a set of unbuildable packages that won't get detected using the
methodology planned for the buildable binaries spec, but if this is not
fixed, the armel binaries for all these packages should be removed (if
it's not fixed by beta1, I'll make a list and ask for removal).

** Affects: kdelibs (Ubuntu)
     Importance: High
         Status: Confirmed

** Affects: kdelibs (Ubuntu Lucid)
     Importance: High
         Status: Confirmed


** Tags: regression-potential

** Changed in: kdelibs (Ubuntu)
       Status: New => Confirmed

** Changed in: kdelibs (Ubuntu)
   Importance: Undecided => High

** Changed in: kdelibs (Ubuntu)
    Milestone: None => ubuntu-10.04-beta-1

** Also affects: kdelibs (Ubuntu Lucid)
   Importance: High
       Status: Confirmed

** Tags added: regression-potential

-- 
Many reverse-build-depends unbuildable on armel
https://bugs.launchpad.net/bugs/505579
You received this bug notification because you are a member of Kubuntu
Bugs, which is subscribed to kdelibs in ubuntu.




More information about the kubuntu-bugs mailing list